<template>
  <div class="add button add-todo">
    <router-link :to="{name: 'single', params: { id: 'new'}}">Add New Item</router-link>
  </div>
</template>

<script>
  export default {
    name: "newTodoButton"
  }
</script>

<style lang="scss" scoped>
  .add-todo {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    -o-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
  }
  /*Some small responsiveness*/
  /* 450px */
  @media only screen and (max-width: 450px){
    .add-todo {
      a {
        display: block;
      }
      position: static;
      right: auto;
      top: auto;
      transform: translateY(0);
      -o-transform: translateY(0);
      -moz-transform: translateY(0);
      -webkit-transform: translateY(0);
      -ms-transform: translateY(0);
      margin: 0 0 20px 0;
      display: block;
    }
  }
</style>